## python-retry 0.9.2

=== requirements.txt ===
decorator>=3.4.2
py>=1.4.26,<2.0.0

=== debian/changelog ===
python-retry (0.9.2-4) unstable; urgency=medium

  * Team upload.
  * Patch-out generating a spurious dependencty on python3-py

 -- Alexandre Detiste <tchet@debian.org>  Thu, 23 Oct 2025 23:38:23 +0200

python-retry (0.9.2-3) unstable; urgency=medium

  * Team Upload
  * Fix d/gbp.conf to match reality on Salsa
  * Use new dh-sequence-python3
  * Set DPT as Maintainer per new Team Policy

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Aug 2024 16:50:22 +0200

python-retry (0.9.2-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Dec 2022 00:48:29 -0500

python-retry (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #961109).

 -- Adam Cecile <acecile@le-vert.net>  Wed, 21 Dec 2022 17:53:54 -0500

=== debian/control ===
Source: python-retry
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adam Cecile <acecile@le-vert.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-decorator,
 python3-pbr,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/invl/retry
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-retry
Vcs-Git: https://salsa.debian.org/python-team/packages/python-retry.git
Testsuite: autopkgtest-pkg-python

Package: python3-retry
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: easy to use retry decorator
 Decorator (or function) to retry failing code featuring:
 .
  - No external dependency (stdlib only)
  - Preserve function signatures (pip install decorator)
  - Original traceback, easy to debug

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/invl/retry/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
